VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| DescriptorUpdateTemplateEntry (uint32_t dstBinding_=0, uint32_t dstArrayElement_=0, uint32_t descriptorCount_=0, DescriptorType descriptorType_=DescriptorType::eSampler, size_t offset_=0, size_t stride_=0)
| DescriptorUpdateTemplateEntry (VkDescriptorUpdateTemplateEntry const &rhs)
DescriptorUpdateTemplateEntry & | operator= (VkDescriptorUpdateTemplateEntry const &rhs)
DescriptorUpdateTemplateEntry & | setDstBinding (uint32_t dstBinding_)
DescriptorUpdateTemplateEntry & | setDstArrayElement (uint32_t dstArrayElement_)
DescriptorUpdateTemplateEntry & | setDescriptorCount (uint32_t descriptorCount_)
DescriptorUpdateTemplateEntry & | setDescriptorType (DescriptorType descriptorType_)
DescriptorUpdateTemplateEntry & | setOffset (size_t offset_)
DescriptorUpdateTemplateEntry & | setStride (size_t stride_)
| operator VkDescriptorUpdateTemplateEntry const & () const
| operator VkDescriptorUpdateTemplateEntry & ()
bool | operator== (DescriptorUpdateTemplateEntry const &rhs) const
bool | operator!= (DescriptorUpdateTemplateEntry const &rhs) const

## Data Fields

uint32_t | dstBinding
uint32_t | dstArrayElement
uint32_t | descriptorCount
DescriptorType | descriptorType
size_t | offset
size_t | stride

## Detailed Description

Definition at line 8250 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DescriptorUpdateTemplateEntry() [1/2]

VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::DescriptorUpdateTemplateEntry | ( | uint32_t | dstBinding_ = `0`,
|  | uint32_t | dstArrayElement_ = `0`,
|  | uint32_t | descriptorCount_ = `0`,
|  | DescriptorType | descriptorType_ = `DescriptorType::eSampler`,
|  | size_t | offset_ = `0`,
|  | size_t | stride_ = `0`
| ) |  |

inline

Definition at line 8252 of file vulkan.hpp.

: dstBinding( dstBinding_ )
, dstArrayElement( dstArrayElement_ )
, descriptorCount( descriptorCount_ )
, descriptorType( descriptorType_ )
, offset( offset_ )
, stride( stride_ )
{
}

## DescriptorUpdateTemplateEntry() [2/2]

VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::DescriptorUpdateTemplateEntry | ( | VkDescriptorUpdateTemplateEntry const & | rhs | ) |

inline

Definition at line 8267 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DescriptorUpdateTemplateEntry ) );
}

References memcpy.

## Member Function Documentation

## operator VkDescriptorUpdateTemplateEntry &()

VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::operator VkDescriptorUpdateTemplateEntry & | ( |  | ) |

inline

Definition at line 8318 of file vulkan.hpp.

{
return *reinterpret_cast<VkDescriptorUpdateTemplateEntry*>(this);
}

## operator VkDescriptorUpdateTemplateEntry const &()

VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::operator VkDescriptorUpdateTemplateEntry const & | ( |  | ) | const

inline

Definition at line 8313 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDescriptorUpdateTemplateEntry*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::operator!= | ( | DescriptorUpdateTemplateEntry const & | rhs | ) | const

inline

Definition at line 8333 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DescriptorUpdateTemplateEntry& VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::operator= | ( | VkDescriptorUpdateTemplateEntry const & | rhs | ) |

inline

Definition at line 8272 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DescriptorUpdateTemplateEntry ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::operator== | ( | DescriptorUpdateTemplateEntry const & | rhs | ) | const

inline

Definition at line 8323 of file vulkan.hpp.

{
return ( dstBinding == rhs.dstBinding )
&& ( dstArrayElement == rhs.dstArrayElement )
&& ( descriptorCount == rhs.descriptorCount )
&& ( descriptorType == rhs.descriptorType )
&& ( offset == rhs.offset )
&& ( stride == rhs.stride );
}

References descriptorCount, descriptorType, dstArrayElement, dstBinding, offset, and stride.

Referenced by operator!=().

## setDescriptorCount()

DescriptorUpdateTemplateEntry& VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::setDescriptorCount | ( | uint32_t | descriptorCount_ | ) |

inline

Definition at line 8289 of file vulkan.hpp.

{
descriptorCount = descriptorCount_;
return *this;
}

References descriptorCount.

## setDescriptorType()

DescriptorUpdateTemplateEntry& VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::setDescriptorType | ( | DescriptorType | descriptorType_ | ) |

inline

Definition at line 8295 of file vulkan.hpp.

{
descriptorType = descriptorType_;
return *this;
}

References descriptorType.

## setDstArrayElement()

DescriptorUpdateTemplateEntry& VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::setDstArrayElement | ( | uint32_t | dstArrayElement_ | ) |

inline

Definition at line 8283 of file vulkan.hpp.

{
dstArrayElement = dstArrayElement_;
return *this;
}

References dstArrayElement.

## setDstBinding()

DescriptorUpdateTemplateEntry& VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::setDstBinding | ( | uint32_t | dstBinding_ | ) |

inline

Definition at line 8277 of file vulkan.hpp.

{
dstBinding = dstBinding_;
return *this;
}

References dstBinding.

## setOffset()

DescriptorUpdateTemplateEntry& VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::setOffset | ( | size_t | offset_ | ) |

inline

Definition at line 8301 of file vulkan.hpp.

{
offset = offset_;
return *this;
}

## setStride()

DescriptorUpdateTemplateEntry& VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::setStride | ( | size_t | stride_ | ) |

inline

Definition at line 8307 of file vulkan.hpp.

{
stride = stride_;
return *this;
}

## Field Documentation

## descriptorCount

uint32_t VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::descriptorCount

Definition at line 8340 of file vulkan.hpp.

Referenced by operator==(), and setDescriptorCount().

## descriptorType

DescriptorType VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::descriptorType

Definition at line 8341 of file vulkan.hpp.

Referenced by operator==(), and setDescriptorType().

## dstArrayElement

uint32_t VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::dstArrayElement

Definition at line 8339 of file vulkan.hpp.

Referenced by operator==(), and setDstArrayElement().

## dstBinding

uint32_t VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::dstBinding

Definition at line 8338 of file vulkan.hpp.

Referenced by operator==(), and setDstBinding().

## offset

size_t VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::offset

Definition at line 8342 of file vulkan.hpp.

Referenced by operator==().

## stride

size_t VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::stride

Definition at line 8343 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::dstArrayElement
uint32_t dstArrayElement
Definition: vulkan.hpp:8339
VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::stride
size_t stride
Definition: vulkan.hpp:8343
offset
GLintptr offset
Definition: SDL_opengl_glext.h:538
VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::descriptorCount
uint32_t descriptorCount
Definition: vulkan.hpp:8340
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::descriptorType
DescriptorType descriptorType
Definition: vulkan.hpp:8341
VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::dstBinding
uint32_t dstBinding
Definition: vulkan.hpp:8338
VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::DescriptorUpdateTemplateEntry
DescriptorUpdateTemplateEntry(uint32_t dstBinding_=0, uint32_t dstArrayElement_=0, uint32_t descriptorCount_=0, DescriptorType descriptorType_=DescriptorType::eSampler, size_t offset_=0, size_t stride_=0)
Definition: vulkan.hpp:8252
VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::operator==
bool operator==(DescriptorUpdateTemplateEntry const &rhs) const
Definition: vulkan.hpp:8323
VkDescriptorUpdateTemplateEntry
Definition: vulkan_core.h:4347
stride
GLsizei stride
Definition: SDL_opengl_glext.h:378
VULKAN_HPP_NAMESPACE::DescriptorUpdateTemplateEntry::offset
size_t offset
Definition: vulkan.hpp:8342